## gpe-mixer 0.42

=== Makefile ===
PREFIX = /usr/local
PACKAGE = gpe-mixer
DEBUG = no
CVSBUILD = no
GST = yes
VERSION = 0.42

MEMBERS = gpe-mixer


PACKAGE_CFLAGS = $(GTKCFLAGS) -DUSE_GPE -D_GNU_SOURCE -Wall
ifeq ($(DEBUG),yes)
PACKAGE_CFLAGS += -O2 -g
PACKAGE_LDFLAGS = -g 
else
PAKAGE_CFLAGS += -Os -fomit-frame-pointer
endif
PACKAGE_CPPFLAGS += -DPACKAGE=\"$(PACKAGE)\" -DPREFIX=\"$(PREFIX)\" -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"

ifeq ($(CVSBUILD),yes)
PACKAGE_CFLAGS += -I../libgpewidget
PACKAGE_LDFLAGS += -L../libgpewidget
BUILD = ../build
else
PACKAGE_CFLAGS += -I/usr/include/gpe
BUILD = build
endif
PACKAGE_LDFLAGS += $(GPELIBS) $(GTKLIBS)

OBJS = $(patsubst %,%.o,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

all: $(PACKAGE)

$(PACKAGE): $(OBJS) $(LIB)
	$(CC) -o $@ $^ $(LDFLAGS) $(PACKAGE_LDFLAGS)

install-program: all $(PACKAGE).desktop
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -s $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 644 $(PACKAGE).png $(DESTDIR)$(PREFIX)/share/pixmaps/$(PACKAGE).png
	mkdir -p $(DESTDIR)$(PREFIX)/share/$(PACKAGE)
	install -m 644 pixmaps/*.png $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	install -m 644 $(PACKAGE).desktop $(DESTDIR)$(PREFIX)/share/applications

clean:
	rm -f $(PACKAGE) $(OBJS)

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg

## gpe-mixer 0.50

=== debian/changelog ===
gpe-mixer (0.50-1) unstable; urgency=low

  * New upstream release
  * Change to dpkg source format 3.0 for .bz2 support.
  * Change to autotools support with this upstream version.
  * Update standards version (no changes)

 -- Neil Williams <codehelp@debian.org>  Sun, 13 Mar 2011 10:20:09 +0000

gpe-mixer (0.42-3) unstable; urgency=low

  * Add pkg-gpe vcs fields.

 -- Neil Williams <codehelp@debian.org>  Sun, 20 Dec 2009 18:12:51 +0000

gpe-mixer (0.42-2) unstable; urgency=low

  * fails to start if not using the framebuffer (Closes: #498373)
    (also needs the PNG packaged or symlinked).

 -- Neil Williams <codehelp@debian.org>  Wed, 10 Sep 2008 11:49:18 +0100

gpe-mixer (0.42-1) unstable; urgency=low

  * Initial release. (Closes: #404381: ITP: gpe-mixer -- audio mixer
    frontend for GPE - Debian Bug report logs)

 -- Neil Williams <codehelp@debian.org>  Thu, 29 Nov 2007 20:32:15 +0000

=== debian/control ===
Source: gpe-mixer
Section: sound
Priority: extra
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Debian GPE team <pkg-gpe-maintainers@lists.alioth.debian.org>, Moray Allan <moray@debian.org>,
 Phil Blundell <pb@debian.org>, Philippe De Swert <philippedeswert@scarlet.be>
Build-Depends: cdbs, debhelper (>= 5), libgpewidget-dev, libgtk2.0-dev,
 intltool, libglib2.0-dev
Standards-Version: 3.9.1
Vcs-SVN: svn://svn.debian.org/pkg-gpe/trunk/gpe-mixer/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gpe/trunk/gpe-mixer/trunk/

Package: gpe-mixer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gpe-icons (>= 0.23)
Description: audio mixer frontend for GPE
 Enables configuration of the internal audio mix on an
 embedded device in the GPE Palmtop Environment.

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/gpe-mixer/

common-install-arch::
	install -d debian/gpe-mixer/usr/share/pixmaps/
	install -m 0644 debian/gpe-mixer.xpm debian/gpe-mixer/usr/share/pixmaps/
	install -m 0644 gpe-mixer.png debian/gpe-mixer/usr/share/pixmaps/
	install -d debian/gpe-mixer/usr/share/man/man1/
	install -m 0644 debian/gpe-mixer.1 debian/gpe-mixer/usr/share/man/man1/

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://gpe.linuxtogo.org/download/source/gpe-mixer-(.*)\.tar\.bz2
